Skip to main content
A legal hold is a process that an enterprise can use to preserve all forms of potentially relevant information when litigation is pending or reasonably anticipated. A list of legal hold policies.
PropertyTypeRequiredDescription
limitintegerNoThe limit that was used for these entries. This will be the same as the limit query parameter unless that value exceeded the maximum value allowed. The maximum value varies by API.
next_markerstringNoThe marker for the start of the next page of results. Can be null.
prev_markerstringNoThe marker for the start of the previous page of results. Can be null.
entriesarray of Legal hold policyNoA list of legal hold policies.
Example
{
  "limit": 1000,
  "next_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVii",
  "prev_marker": "JV9IRGZmieiBasejOG9yDCRNgd2ymoZIbjsxbJMjIs3kioVih",
  "entries": [
    {
      "id": "11446498",
      "type": "legal_hold_policy",
      "policy_name": "Policy 4",
      "description": "Postman created policy",
      "status": "active",
      "assignment_counts": {
        "user": 1,
        "folder": 2,
        "file": 3,
        "file_version": 4,
        "ownership": 5,
        "interactions": 6
      },
      "created_by": {
        "id": "11446498",
        "type": "user",
        "name": "Aaron Levie",
        "login": "ceo@example.com"
      },
      "created_at": "2012-12-12T10:53:43-08:00",
      "modified_at": "2012-12-12T10:53:43-08:00",
      "deleted_at": "2012-12-12T10:53:43-08:00",
      "filter_started_at": "2012-12-12T10:53:43-08:00",
      "filter_ended_at": "2012-12-12T10:53:43-08:00",
      "release_notes": "Example"
    }
  ]
}
Legal Hold Policy information describes the basic characteristics of the Policy, such as name, description, and filter dates.
PropertyTypeRequiredDescription
idstringYesThe unique identifier for this legal hold policy.
typeenum<string>YesThe value will always be legal_hold_policy. Available options: legal_hold_policy.
policy_namestringNoName of the legal hold policy.
descriptionstringNoDescription of the legal hold policy. Optional property with a 500 character limit.
statusenum<string>NoPossible values: - ‘active’ - the policy is not in a transition state. - ‘applying’ - that the policy is in the process of being applied. - ‘releasing’ - that the process is in the process of being released. - ‘released’ - the policy is no longer active. Available options: active, applying, releasing, released.
assignment_countsobjectNoCounts of assignments within a legal hold policy by item type.
created_byUser (Mini)NoThe user who created the legal hold policy object.
created_atstringNoWhen the legal hold policy object was created.
modified_atstringNoWhen the legal hold policy object was modified. Does not update when assignments are added or removed.
deleted_atstringNoWhen the policy release request was sent. (Because it can take time for a policy to fully delete, this isn’t quite the same time that the policy is fully deleted). If null, the policy was not deleted.
filter_started_atstringNoUser-specified, optional date filter applies to Custodian assignments only.
filter_ended_atstringNoUser-specified, optional date filter applies to Custodian assignments only.
release_notesstringNoOptional notes about why the policy was created.
Example
{
  "id": "11446498",
  "type": "legal_hold_policy",
  "policy_name": "Policy 4",
  "description": "Postman created policy",
  "status": "active",
  "assignment_counts": {
    "user": 1,
    "folder": 2,
    "file": 3,
    "file_version": 4,
    "ownership": 5,
    "interactions": 6
  },
  "created_by": {
    "id": "11446498",
    "type": "user",
    "name": "Aaron Levie",
    "login": "ceo@example.com"
  },
  "created_at": "2012-12-12T10:53:43-08:00",
  "modified_at": "2012-12-12T10:53:43-08:00",
  "deleted_at": "2012-12-12T10:53:43-08:00",
  "filter_started_at": "2012-12-12T10:53:43-08:00",
  "filter_ended_at": "2012-12-12T10:53:43-08:00",
  "release_notes": "Example"
}
A mini legal hold policy.
PropertyTypeRequiredDescription
idstringYesThe unique identifier for this legal hold policy.
typeenum<string>YesThe value will always be legal_hold_policy. Available options: legal_hold_policy.
Example
{
  "id": "11446498",
  "type": "legal_hold_policy"
}
Last modified on July 9, 2026